### Method

# ECal ComponentPeriod get_duration

since: 3.34

#### Declaration [src]

    ICalDuration*
    e_cal_component_period_get_duration (
      const ECalComponentPeriod* period
    )

#### Description [src]

Returns the duration of the `period`. This can be called only on `period` objects of kind `E_CAL_COMPONENT_PERIOD_DURATION`. The returned `ICalDuration` object is owned by `period` and should not be freed. It’s valid until the `period` is freed or its duration changed.

Available since: 3.34

#### Return value

Type: `None`

The duration of the period, as an `ICalDuration`.

The returned data is owned by the instance.